2024-10-15 Mike Gabriel

        * Release 1.2.0 (HEAD -> main, tag: 1.2.0)

2024-09-19 Mike Gabriel

        * Merge branch 'personal/peat-psuwit/build-against-debian' into
          'main' (6a8cca7)

2024-09-18 Ratchanan Srirattanamet

        * d/control: B-Ds on 'systemd-dev' instead of 'systemd' (5439a16)
        * d/control, d/rules: stop using dh-translations (f01af46)

2024-08-05 umesaburo sagawa

        * Translated using Weblate (Japanese) (62bc3b3)

2024-07-22 Jiri Grönroos

        * Translated using Weblate (Finnish) (5a4651e)

2024-07-10 Ratchanan Srirattanamet

        * Merge branch 'personal/sunweaver/lomiri-indicators-target' into
          'main' (fea9c06)

2024-05-21 Mike Gabriel

        * debian/control: Don't require ayatana-indicator-common anymore (for
          ayatana-indicators.target). (898c04c)
        * data/indicator-transfer.service.in: Become part of
          lomiri-indicators.target. (bb64704)
        * Merge branch 'ubports/focal_-_lomiri-renaming' into 'main'
          (4cdb166)

2024-05-21 Ratchanan Srirattanamet

        * CMakeLists.txt: bump C++ standard version to C++17 (5c3ce4d)

2024-01-04 Guido Berhoerster

        * Update dependencies (f62db90)

2024-01-02 Guido Berhoerster

        * Update translations (aedc8cc)

2023-12-29 Guido Berhoerster

        * Rename indicator-transfer to lomiri-indicator-transfer (7e01a19)

2024-04-13 复予

        * Translated using Weblate (Chinese (Simplified)) (820da1c)

2024-02-15 ancalina

        * Translated using Weblate (Korean) (08b0999)

2024-01-25 Mike Gabriel

        * Release 1.1.0 (7c55a26) (tag: 1.1.0)

2024-01-04 Mike Gabriel

        * Merge branch 'personal/gberh/modernize-i18n' into 'main' (9ca237c)

2024-01-02 Guido Berhoerster

        * Modernize i18n (6e6d85c)

2023-12-27 Weblate

        * Added translation using Weblate (Chinese (Simplified)
          (zh_LATN@pinyin)) (a724d3d)
        * Added translation using Weblate (Tamil (Sri Lanka)) (dd89bd3)
        * Added translation using Weblate (German (Walser)) (e463554)
        * Added translation using Weblate (Meadow Mari) (7c04bc7)
        * Added translation using Weblate (Crimean Tatar) (bce42f5)
        * Added translation using Weblate (Chuvash) (9c2e26e)
        * Added translation using Weblate (Silesian) (f389870)
        * Added translation using Weblate (Latin) (611cbae)
        * Added translation using Weblate (Venetian) (68ec0b2)
        * Added translation using Weblate (Ossetian) (89d263f)
        * Added translation using Weblate (Sami (Northern)) (dde4ade)
        * Added translation using Weblate (Greenlandic) (c440232)
        * Added translation using Weblate (Assamese) (09bee4a)
        * Added translation using Weblate (Haitian) (9eb0c61)
        * Added translation using Weblate (Cornish) (a795bc0)
        * Added translation using Weblate (Frisian) (56ebb9a)
        * Added translation using Weblate (Kashubian) (850d691)
        * Added translation using Weblate (Aragonese) (60c9be1)
        * Added translation using Weblate (Tibetan) (088d833)
        * Added translation using Weblate (Filipino) (c907956)
        * Added translation using Weblate (Tigrinya) (57940ab)
        * Added translation using Weblate (Tatar) (47d0237)

2023-12-26 Weblate

        * Added translation using Weblate (Italian (it_CARES)) (89e0ff8)

2023-12-04 Reza Almanda

        * Translated using Weblate (Indonesian) (8b6e5ee)

2023-10-17 Weblate

        * Added translation using Weblate (Xhosa) (5931b43)
        * Added translation using Weblate (Manx) (feaa08d)
        * Added translation using Weblate (Corsican) (6a2f40b)
        * Added translation using Weblate (Chechen) (d9016d4)
        * Added translation using Weblate (Wolof) (15ab190)
        * Added translation using Weblate (Kurdish (Central)) (1ea0069)
        * Added translation using Weblate (Uzbek) (70341ee)
        * Added translation using Weblate (Kyrgyz) (a6e1503)
        * Added translation using Weblate (Kurdish) (77f9a36)
        * Added translation using Weblate (Sotho (Southern)) (a533760)
        * Added translation using Weblate (Kannada) (878a239)
        * Added translation using Weblate (Kazakh) (1117c69)
        * Added translation using Weblate (Faroese) (5e623e8)
        * Added translation using Weblate (Nepali) (fef93e8)
        * Added translation using Weblate (Norwegian Nynorsk) (33c1416)
        * Added translation using Weblate (Interlingua) (fdb031c)
        * Added translation using Weblate (Swahili) (95604db)
        * Added translation using Weblate (Afrikaans) (bd91ebf)
        * Added translation using Weblate (Marathi) (02d8e58)
        * Added translation using Weblate (Vietnamese) (bd38000)
        * Added translation using Weblate (Odia) (12affb2)
        * Added translation using Weblate (Occitan) (d98e22d)
        * Added translation using Weblate (Bengali) (254f761)
        * Added translation using Weblate (Estonian) (b8e7540)
        * Added translation using Weblate (Irish) (050e015)

2023-08-12 NPL

        * Translated using Weblate (Japanese) (11779f1)

2023-06-30 Weblate

        * Added translation using Weblate (Sanskrit) (3abba37)

2023-06-22 Joan CiberSheep

        * Translated using Weblate (Catalan) (6cbd99d)

2023-04-14 Lundrin

        * Translated using Weblate (Hungarian) (772aceb)

2023-04-12 Temuri Doghonadze

        * Translated using Weblate (Georgian) (9cbfed1)
        * Translated using Weblate (Georgian) (00d32b0)

2023-03-30 Sylke Vicious

        * Translated using Weblate (Italian) (bc1a9f2)

2023-03-27 Jozef Mlich

        * Translated using Weblate (Czech) (4cfecd8)

2023-02-26 Luna Jernberg

        * Translated using Weblate (Swedish) (f97ffb4)

2023-02-21 Heimen Stoffels

        * Translated using Weblate (Dutch) (05a366a)

2023-02-16 phlostically

        * Translated using Weblate (Esperanto) (3eaf401)

2023-02-13 Adolfo Jayme Barrientos

        * Translated using Weblate (Spanish) (37ad77d)

2023-02-06 Mike Gabriel

        * Release 1.0.0 (1d2127d) (tag: 1.0.0)
        * Merge branch 'personal/gberh/renaming' into 'main' (0c941e6)

2023-02-06 Guido Berhoerster

        * Add changelog entry (d3172cb)
        * Bump soname and version after rename (8180e15)
        * Rename from Unity to Lomiri (2755427)
        * Fix indicator service file installation path (5db9694)

2023-01-30 Mike Gabriel

        * Translated using Weblate (German) (ca8e9e7)
        * Merge branch 'personal/gberh/systemd-target' into 'main' (1f09424)

2023-01-30 Guido Berhoerster

        * Use ayatana-indicators.target instead of the indicators-pre.target
          (1dcf997)

2023-01-24 gnu-ewm

        * Translated using Weblate (Polish) (8cfbc08)

2023-01-16 Alexander Richards

        * Translated using Weblate (German) (fe647bf)

2023-01-16 Mike Gabriel

        * Merge branch 'personal/gberh/fix-tests' into 'main' (4c99877)

2023-01-16 Guido Berhoerster

        * Disable failing test on arm64 (2e7ba3d)
        * Disable cpptest check (60d70ae)
        * Run tests when building Debian packages (e96b9a9)
        * Merge branch 'personal/sunweaver/indicator-transfer-common' into
          'main' (59ac3e1)

2023-01-14 Mike Gabriel

        * debian/: Ship translation files in additional common:pkg. (dcb0ba1)

2023-01-13 Timothy G

        * Translated using Weblate (French) (e450ba4)

2023-01-13 Ivo Xavier

        * Translated using Weblate (Portuguese) (9cf4655)

2023-01-12 Sergii Horichenko

        * Translated using Weblate (Russian) (387b6ea)

2023-01-14 Mike Gabriel

        * Release 0.4 (b17931d) (tag: 0.4)
        * CMakeLists.txt: Adjust upstream version to what's currently in
          d/changelog. (3944de3)
        * CMake: Bump mininum version requirement to 3.5 (94712d6)
        * debian/control: Switch D: indicator-common ->
          ayatana-indicator-common. (51504bc)

2023-01-11 Alexander Richards

        * Translated using Weblate (German) (19c9cc5)

2023-01-11 Dan

        * Translated using Weblate (Ukrainian) (5f9e489)

2023-01-04 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (b91832e)

2023-01-05 Mike Gabriel

        * po/: Rename Chinese translation files to <country>_<region>.po
          pattern. (13481b5)
        * Revert "Deleted translation using Weblate (Chinese (Traditional,
          Hong Kong))" (813a058)
        * Revert "Added translation using Weblate (Chinese (Traditional, Hong
          Kong))" (3078daf)

2023-01-04 Weblate

        * Added translation using Weblate (Chinese (Traditional, Hong Kong))
          (f1c86ee)

2023-01-04 Allan Nordhøy

        * Translated using Weblate (Norwegian Bokmål) (1f57e04)

2023-01-04 Mike Gabriel

        * Deleted translation using Weblate (Chinese (Traditional, Hong
          Kong)) (0b54064)

2023-01-04 Weblate

        * Added translation using Weblate (Pampanga) (8ceca02)
        * Added translation using Weblate (Chinese (Min Nan)) (a2dd5e8)
        * Added translation using Weblate (Norwegian Bokmål) (da6a996)
        * Added translation using Weblate (Kurdish (Southern)) (98c0fb9)
        * Added translation using Weblate (French (Switzerland)) (7ebd6e3)
        * Added translation using Weblate (Kurdish (Northern)) (043cfba)
        * Added translation using Weblate (Shan) (0e84688)
        * Added translation using Weblate (Bemba) (751bfc8)
        * Added translation using Weblate (Oromo) (44161c5)
        * Added translation using Weblate (Afar) (9ae8e44)
        * Added translation using Weblate (Dhivehi) (bdd3bd7)
        * Added translation using Weblate (Bengali (Bangladesh)) (14f7a9f)
        * Added translation using Weblate (Kabyle) (ea4be1c)
        * Added translation using Weblate (Nyanja) (12a3d4f)
        * Added translation using Weblate (French (Canada)) (f7d1b26)
        * Added translation using Weblate (Chinese (Simplified)) (8b581b9)
        * Added translation using Weblate (Chinese (Traditional)) (306d8ab)
        * Added translation using Weblate (Franco-Provençal) (00f490f)
        * Added translation using Weblate (English (Canada)) (6f1f1d0)
        * Added translation using Weblate (English (Australia)) (7c978ab)
        * Added translation using Weblate (Sindhi) (070df57)
        * Added translation using Weblate (Burmese) (85e1a6d)
        * Added translation using Weblate (Lojban) (2a3e9a1)
        * Added translation using Weblate (Sardinian) (46a3c26)
        * Added translation using Weblate (English (United States)) (7cbbd4c)
        * Added translation using Weblate (Slovenian) (3b85f98)
        * Added translation using Weblate (Sinhala) (6b9ab75)
        * Added translation using Weblate (Slovak) (9328949)
        * Added translation using Weblate (Khmer (Central)) (c6a0a9b)
        * Added translation using Weblate (Korean) (8aee50b)
        * Added translation using Weblate (Albanian) (2ba6f03)
        * Added translation using Weblate (Serbian) (7e618dc)
        * Added translation using Weblate (Georgian) (9094cf9)
        * Added translation using Weblate (Finnish) (d0f8e93)
        * Added translation using Weblate (Persian) (171aebe)
        * Added translation using Weblate (Swedish) (c9be4b8)
        * Added translation using Weblate (French) (51e79b9)
        * Added translation using Weblate (Spanish) (f56fb96)
        * Added translation using Weblate (Dutch) (ba50ca3)
        * Added translation using Weblate (Indonesian) (fe350a4)
        * Added translation using Weblate (Azerbaijani) (f720b98)
        * Added translation using Weblate (Arabic) (39f6ddd)
        * Added translation using Weblate (Italian) (5b31782)
        * Added translation using Weblate (Amharic) (4a6383d)
        * Added translation using Weblate (Uyghur) (8c13323)
        * Added translation using Weblate (Malay) (6a00d67)
        * Added translation using Weblate (Polish) (d19e1f9)
        * Added translation using Weblate (Macedonian) (47abdca)
        * Added translation using Weblate (Maori) (a33a4af)
        * Added translation using Weblate (Malayalam) (81cda24)
        * Added translation using Weblate (Friulian) (e78b21a)
        * Added translation using Weblate (Malagasy) (918b843)
        * Added translation using Weblate (Hebrew) (db6b5e0)
        * Added translation using Weblate (Hindi) (3dc8a0d)
        * Added translation using Weblate (Hungarian) (8165d56)
        * Added translation using Weblate (Croatian) (b7a26b7)
        * Added translation using Weblate (Armenian) (659b02d)
        * Added translation using Weblate (English (United Kingdom))
          (ee9747e)
        * Added translation using Weblate (Icelandic) (835e57b)
        * Added translation using Weblate (Punjabi) (fa10c63)
        * Added translation using Weblate (Portuguese) (594cde2)
        * Added translation using Weblate (Pashto) (2375946)
        * Added translation using Weblate (Czech) (0dcce10)
        * Added translation using Weblate (Welsh) (c92ff30)
        * Added translation using Weblate (Catalan) (8390016)
        * Added translation using Weblate (Japanese) (3250a4e)
        * Added translation using Weblate (Bosnian) (b24968c)
        * Added translation using Weblate (Breton) (3e650a0)
        * Added translation using Weblate (Asturian) (a61c842)
        * Added translation using Weblate (Ukrainian) (b01d572)
        * Added translation using Weblate (Bulgarian) (60880f6)
        * Added translation using Weblate (Belarusian) (4d6bf8e)
        * Added translation using Weblate (Romanian) (db65c8a)
        * Added translation using Weblate (Russian) (1bb59d5)
        * Added translation using Weblate (Basque) (ae34b4b)
        * Added translation using Weblate (Esperanto) (98dfd7d)
        * Added translation using Weblate (Greek) (69fe20c)
        * Added translation using Weblate (Danish) (a7f84ca)
        * Added translation using Weblate (German) (7c6e05b)
        * Added translation using Weblate (Portuguese (Brazil)) (06032b1)
        * Added translation using Weblate (Chinese (Traditional, Hong Kong))
          (2eaea23)
        * Added translation using Weblate (Tamil) (fd9aa4c)
        * Added translation using Weblate (Telugu) (9309a35)
        * Added translation using Weblate (Tajik) (f594eac)
        * Added translation using Weblate (Thai) (2538e31)
        * Added translation using Weblate (Turkmen) (261b847)
        * Added translation using Weblate (Lithuanian) (ee3c334)
        * Added translation using Weblate (Latvian) (9d8d8af)
        * Added translation using Weblate (Turkish) (28916f0)
        * Added translation using Weblate (Lao) (ac1d98f)
        * Added translation using Weblate (Lingala) (c430189)
        * Added translation using Weblate (Luxembourgish) (95b4287)
        * Added translation using Weblate (Galician) (6027e9d)
        * Added translation using Weblate (Gaelic) (64555df)
        * Added translation using Weblate (Valencian) (e32e992)
        * Added translation using Weblate (Scots) (82d84be)
        * Added translation using Weblate (Gujarati) (e2026e3)

2023-01-03 Muhammad

        * Translated using Weblate (Urdu) (d80f7c9)

2023-01-03 Weblate

        * Added translation using Weblate (Urdu) (1fa2135)
        * Added translation using Weblate (Tetum) (db9e3dc)
        * Added translation using Weblate (Ido) (a9eaf5b)

2023-01-03 Mike Gabriel

        * po/: Generate indicator-transfer.pot. (c781e22)

2022-11-22 Mike Gabriel

        * Merge branch 'rename-menu-attrs' into 'main' (96f84e7)

2022-11-21 Guido Berhoerster

        * Rename indicator widget types (74e4abe)

2022-11-18 Guido Berhoerster

        * Rename menu attributes after lomiri (cece251)

2022-08-15 Ratchanan Srirattanamet

        * Merge branch 'systemd-migration' into 'main' (bbb2da7)

2022-08-15 Guido Berhoerster

        * Obtain systemd unit file directory from pkg-config (65b05f1)
        * Remove obsolete upstart files (885f785)

2022-04-06 Ratchanan Srirattanamet

        * Merge branch 'fix-session-startup' into 'main' (13f13fe)

2022-03-24 Guido Berhoerster

        * Start indicator as part of the session (3e1dada)

2022-03-25 Ratchanan Srirattanamet

        * Merge branch 'use-ldm-dbus-api' into 'main' (8566b4d)

2022-01-20 Guido Berhoerster

        * Use lomiri-download-manager DBus API (cd6b1a6)

2022-01-14 Guido Berhoerster

        * Rename com.canonical.indicator.transfer to
          com.lomiri.indicator.transfer (59131c1)

2021-12-22 Guido Berhoerster

        * Fix format string (d9d065e)
        * Add multiarch support (5e44b16)
        * Fix typo in description (dfd2ecb)
        * Fix build with google-mock >= 1.8.0 (944bcbb)
        * Port to lomiri-app-launch (eaa2010)

2021-12-20 Guido Berhoerster

        * Port to focal (b23762c)

2020-11-12 Rodney

        * Merge pull request #3 from ubports/Flohack74-patch-1 (eefe41d)

2020-11-12 Florian Leeber

        * Update Jenkinsfile (57dab79)

2020-09-25 Marius Gripsgard

        * No need to depend on mirclient (#2) (9f66637)

2019-11-20 Dalton Durst

        * Update for locale generation (#1) (0ba3cef)

2019-11-15 Bjarne Roß

        * Part II (5c256d5)

2019-11-14 Florian Leeber

        * Update for localization (4770f36)

2018-01-12 Dan Chapman

        * Update Jenkinsfile (f1ee7f3)

2017-10-16 Marius Gripsgard

        * Update jenkins file and build for xenial (1500bea)

2017-07-23 Marius Gripsgard

        * Update changelog (d0b2b9f)
        * Imported to UBports (0f84857)

2016-10-21 Bileto Bot

        * Releasing 0.2+17.04.20161021-0ubuntu1 (c090ca8)

2016-10-21 Ted Gould

        * Adding a systemd user session unit (16f7125)

2016-10-19 Iain Lane

        * changelog (5862090)

2016-10-11 Iain Lane

        * data/indicator-transfer.conf.in: Only start on Unity 8 (3c786b2)

2016-08-08 Bileto Bot

        * Releasing 0.2+16.10.20160808.1-0ubuntu1 (45876ed)

2016-08-08 Ted Gould

        * No change rebuild for UAL ABI change (1824c40)
        * No change rebuild (2cc7d1a)

2016-07-20 Ted Gould

        * Adding a restart rule (b308c47)

2016-07-19 Ted Gould

        * Adding a systemd user session unit (77842ea)

2015-12-16 CI Train Bot

        * Releasing 0.2+16.04.20151216.5-0ubuntu1 (90f204b)

2015-12-16 Renato Araujo Oliveira Filho

        * Only allow resume paused downloads. (3460336)
        * Removed content hub dep from download manager plugin. (c283a21)
        * Fix build rules. (3d6cfd3)
        * Run test sequential. (5a5237b)
        * Metadata.app_id has priority over destinationAppId. (47b863a)

2015-11-30 Renato Araujo Oliveira Filho

        * Parent merged. (6840951)
        * Trunk merged. (3f94279)

2015-11-09 Renato Araujo Oliveira Filho

        * Make the menu invisible if the download list is empty. Remove from
          the list canceled downloads. (0ba8a7a)
        * Remove transfer from indicator if canceled. (0065a2d)

2015-11-05 Renato Araujo Oliveira Filho

        * Fix compilation. (aaf381b)
        * Only allow resume paused downloads. (ce26fcf)

2015-09-29 CI Train Bot

        * Releasing 0.2+15.10.20150929-0ubuntu1 (d5d143e)

2015-09-29 Renato Araujo Oliveira Filho

        * Allow to set custom states label. Approved by: PS Jenkins bot,
          Charles Kerr (e2a08ef)

2015-09-25 Renato Araujo Oliveira Filho

        * Fixed application icon name set. (902b517)
        * Fixed memory leaks. (898cb81)
        * Parse "package-name" from download metadata. (d316f19)
        * Fixed memory leak. (6d43fe5)

2015-09-24 Renato Araujo Oliveira Filho

        * Does not show downloads which has 'ShowInIndicator' marked as
          false. (c766243)

2015-09-23 Renato Araujo Oliveira Filho

        * Fixed app info retrieve from click packages. (3ab69b9)
        * Removed content hub dep from download manager plugin. (28a1c5b)

2015-09-08 Renato Araujo Oliveira Filho

        * Fixed export of 'custom-state' string using gmenu model. (2d70cf9)

2015-09-02 Renato Araujo Oliveira Filho

        * Added support for 'custom_state' in transfers. (ebf4c0a)

2015-08-19 CI Train Bot

        * Releasing 0.2+15.10.20150819-0ubuntu1 (2c959c8)

2015-08-19 Renato Araujo Oliveira Filho

        * Added 'clear' function into the Source interface. Call
          'Source.clear' in the 'Controller.clear_all' function.
          Does not keep a separated copy of source model inside of
          the Controller class. Changed the return of
          'Source.get_model()' to const. Update unit tests. Approved
          by: Charles Kerr, PS Jenkins bot (4469283)

2015-08-19 Charles Kerr

        * Add a plugin architecture so that Transfer objects can be added
          from multiple sources, rather than just from
          DownloadManager. (e6c9d24)

2015-08-19 Renato Araujo Oliveira Filho

        * Added 'plugindir' variable into .pc file. (1eeee3d)
        * Update version to 0.2 (a4434dc)

2015-08-18 Renato Araujo Oliveira Filho

        * Added "Requires" packages into .pc file. (3595b7a)
        * Parent branch merged. (5af4b6e)

2015-08-13 Charles Kerr

        * sync with trunk (4542117)
        * sync the no-change ~gcc5.1 (064d833)

2015-08-12 Renato Araujo Oliveira Filho

        * Fixed cppcheck errors. (5f91dc8)
        * Avoid pass a model to GMenuView. Instead use the controller model.
          (775e8cb)
        * [DM-Plugin] Add download on removed list only if it was removed by
          'clear' function. (fb1a45c)

2015-08-11 Renato Araujo Oliveira Filho

        * Fix warnings from cppcheck test. (964f6a6)
        * Changed the return of 'Source.get_model()' to const. (53eebb2)
        * Added 'clear' function into the Source interface. Call
          'Source.clear' in the 'Controller.clear_all' function.
          Does not keep a separated copy of source model inside of
          the Controller class. Update unit tests. (8b77a70)
        * Check if the transfers get removed from the source model after a
          clear. (d1a3bf4)

2015-08-03 Renato Filho

        * merge lp:~renatofilho/indicator-transfer/add-plugins-fix-build
          (7cfe33b)

2015-08-03 Renato Araujo Oliveira Filho

        * Attempt to fix build on jenkin. (5f68ee1)

2015-08-03 Charles Kerr

        * remove unused google test cmake rules; use a more selective
          target_link_library for the test plugin library (be5d17e)
        * in tests/CMakeLists.txt, use a more selective list of target link
          libraries for the test plugin (f2617eb)
        * in tests/CMakeLists.txt, remove unused Google Test code (6e0ec54)
        * in root CMakeLists.txt, remove unused Google Test rules (38a6f6a)
        * use target_link_libraries for the mock-source-plugin test module
          too (150e069)
        * add target_link_libraries for libindicator-transfer.so (1f1f3f0)

2015-07-31 Charles Kerr

        * merge renato's dev package branch
          <lp:~renatofilho/indicator-transfer/dev-package> (f3a0b16)

2015-07-31 Renato Araujo Oliveira Filho

        * Fixed typos and package sections. (e334dbc)

2015-07-31 Charles Kerr

        * make Transfer class method virtual (9706367)
        * remove unnecessary function declarations (483eaf8)

2015-07-31 Renato Araujo Oliveira Filho

        * Fixed .pc file. (8c55cb5)
        * Fixed headers install dir. (4dd13d8)

2015-07-30 Renato Araujo Oliveira Filho

        * Splited the package into libindicator-transfer0,
          libindicator-transfer-dev and
          indicator-transfer-download-manager. (11c7ce4)
        * Created "dev" package. (6c53737)

2015-07-30 Charles Kerr

        * add -fPIC to make linker happy (0760727)
        * hm, it helps if you bzr add all the new files... :/ (d7bd241)

2015-07-29 Charles Kerr

        * sync with trunk (36a8925)
        * in comments, better statement of intent for the Source class
          (bc6bde8)
        * install a DownloadManager plugin into
          CMAKE_INSTALL_FULL_PKGLIBEXECDIR so that the downloads
          will be tracked again (7e05c29)
        * add option to use valgrind when running tests (6c36bdb)
        * make the tests a little more readable (aa4ee00)

2015-07-28 Charles Kerr

        * get PluginSource working as a subclass of MultiSource; re-enable
          the plugin tests (8b1e598)
        * add source multiplexer (31076be)
        * rename world->source (848ead0)

2015-07-27 Charles Kerr

        * get modules loading, even if they don't talk to the rest of the
          world yet (9f09cea)
        * sync with glib gtest fixture from indicator-datetime (dcf2734)
        * fix cmake CMP0046 warning (46c9570)

2015-07-27 CI Train Bot

        * Releasing 0.1+15.10.20150727-0ubuntu1 (dfa3c8e)

2015-07-27 Charles Kerr

        * Remove the g++-4.9 explicit dependency to prepare for gcc5
          migration.
          Fixes: #1452328 Approved by: Pete Woods, PS
          Jenkins bot, Rodney Dawes (a1791ed)
        * fix cppcheck (3813b96)

2015-07-15 Charles Kerr

        * fix 'make cppcheck' (cb9c05a)
        * remove g++-4.9 dependency. (1bf514a)

2015-01-12 CI Train Bot

        * Releasing 0.1+15.04.20150112-0ubuntu1 (7e68407)

2015-01-12 Charles Kerr

        * Fixes warnings reported by flint++ and clang. Approved by: Ted
          Gould (bfe766e)

2014-11-03 CI bot

        * Releasing 0.1+15.04.20141103-0ubuntu1 (f7be96d)

2014-11-03 Ted Gould

        * Fix menu path cut-and-paste error
          Fixes: 1358340 Approved by: PS
          Jenkins bot (c8237c3)

2014-10-22 Charles Kerr

        * fix type mismatch warnings (e.g., comparison of signed and
          unsigned) (a872b10)
        * add a public virtual destrcutor to GlibFixture to fix flint++
          warning (131cf73)
        * add 'explicit' to single-argument constructor to fix flint++
          warning (19ad8e5)
        * fix include guard warnings reported by flint++ (0666b3f)
        * use std::make_shared to silence flint++ warnings (1a67683)
        * silence dead store warnings from scan-build (303538e)

2014-10-09 CI bot

        * Releasing 0.1+14.10.20141009-0ubuntu1 (f1b29c4)

2014-10-09 Charles Kerr

        * Throttle how frequently a transfer item updates its action state
          and menuitem.
          Fixes: 1378941 Approved by: Ted Gould, PS
          Jenkins bot (13f13e7)

2014-10-08 Charles Kerr

        * fix minor memory leak spotted while tracking down this bug
          (9faff0f)
        * add a throttle to how often a transfer's properties are updated.
          (2163278)

2014-10-08 Ted Gould

        * Merge trunk (a2af763)

2014-10-07 CI bot

        * Releasing 0.1+14.10.20141007-0ubuntu1 (bc5094c)

2014-10-07 Charles Kerr

        * Change the indicator's label to "Files" and only show the indicator
          if there are unfinished transfers.
          Fixes: 1377275, 1377286
          Approved by: Ted Gould, PS Jenkins bot (64ec0d1)

2014-10-06 CI bot

        * Releasing 0.1+14.10.20141006-0ubuntu1 (a63b6a9)

2014-10-06 Charles Kerr

        * Move the position of this indicator on the panel.
          Fixes: 1377294
          Approved by: Ted Gould, PS Jenkins bot (4050a7c)
        * only rearrange the indicator position on the phone (e8c4d6f)
        * move indicator as per the 'Indicator RTM Usability Fixes' document
          (3c913a6)

2014-10-03 Charles Kerr

        * in test-view-gmenu.cpp, extract copy-and-pasted blocks into a
          function to reduce duplicated code (04b125f)
        * in test-view-gmenu's PhoneHeader test, improve local variablenames
          (b0cd158)
        * fix syntax error in manual tests (5b9122a)
        * fix questionable use of 'const auto' (6ba8739)
        * add manual test indicator-transfer/visibility (df8c766)
        * fix tyop in test comment (fff9253)
        * update manual test to reflect new visibility behavior (0d5f7d1)
        * add unit tests for phone header, esp. visibility tests (6949396)
        * change indicator to be visible only if there are incomplete
          transfers. (691db06)
        * change header title from 'Transfers' to 'Files' (32e58dd)

2014-09-30 Ted Gould

        * Fix menu path cut-and-paste error (718e232)

2014-09-05 CI bot

        * Releasing 0.1+14.10.20140905-0ubuntu1 (596ad39)

2014-09-05 Sebastien Bacher

        * Tweak translations setup to have a template generated
          Fixes:
          1348825 Approved by: Ted Gould, PS Jenkins bot (8148fdd)
        * Tag as using langpacks, even if in universe (08f7998)
        * Tweak translations setup to have a template generated (ee4977a)

2014-08-27 CI bot

        * Releasing 0.1+14.10.20140827-0ubuntu1 (b72aefb)

2014-08-27 Charles Kerr

        * Better use of information provided by content-hub.
          Fixes: 1348162,
          1348170, 1350307, 1350771, 1361347, 1361363 Approved by:
          Ted Gould, PS Jenkins bot (9ddcbac)

2014-08-27 Ted Gould

        * Minor packaging changes from review Approved by: Charles Kerr
          (640e605)

2014-08-26 Ted Gould

        * Merging trunk (bc4170f)

2014-08-26 Charles Kerr

        * fix the error-checking when trying to get an icon from click's
          manifest (584d3dc)
        * simplify the download speed estimation. (e155bd9)

2014-08-25 Charles Kerr

        * after a user manually removes a transfer, don't show it anymore.
          (631538f)
        * in indicator-transfer, don't track downloads that don't go through
          the content-hub. (2a32808)
        * sanitize the transfer's percent-done and ETA values before
          exporting them to unity8. (be9d3cd)
        * use the content-hub's transfer's peer's click manifest's icon in
          the menuitem's icon, the completed filename's basename for
          the menuitem label, and content-hub's Charge() method to
          launch the peer's application. (6b84108)

2014-08-14 CI bot

        * Releasing 0.1+14.10.20140814-0ubuntu1 (ca483e4)

2014-08-14 Charles Kerr

        * Re-use the same Translations.cmake file across indicators
          Fixes:
          1354058 Approved by: Ted Gould, PS Jenkins bot (9939a49)

2014-08-09 Charles Kerr

        * sync the shared Translations.cmake file to pick up recent bugfixes.
          (b8641ee)

2014-07-18 CI bot

        * Releasing 0.1+14.10.20140718-0ubuntu1 (8542cb6)

2014-07-18 Charles Kerr

        * make the gcc version explicit in debian/control and debian/rules.
          Approved by: PS Jenkins bot (4001ef2)

2014-07-11 CI bot

        * Releasing 0.1+14.10.20140711-0ubuntu1 (f758d39)

2014-07-11 Charles Kerr

        * Don't rebuild the full menu every time there's a change event from
          the DownloadManager. Approved by: Ted Gould, PS Jenkins
          bot (38b6362)

2014-07-10 Charles Kerr

        * add slightly larger images to the download script so that flicker
          will be easier to spot (d6fd766)
        * sync unit tests with r11: it's okay to pause queued Transfers.
          (9f643b0)

2014-07-09 Charles Kerr

        * on httpError signal, set the transfer's error string from the
          signal (b2df803)
        * listen to more com.canonical.applications.Download signals:
          httpError, networkError, processError (b7c8c6b)
        * better logging of unrecognized signals (5a84721)
        * menu building cleanup (b04c59c)
        * fix r10 bug with the 'Clear All' bulk menuitem appearing until the
          second completed transfer. (b5efce7)
        * it's okay to pause queued Transfers. (d392962)

2014-07-08 Charles Kerr

        * eliminate menu flicker: only rebuild menuitems that -really- need
          it (e394812)
        * in view-gmenu, extract-method get_transfers(Section) (15c8ee7)

2014-07-07 CI bot

        * Releasing 0.1+14.10.20140707-0ubuntu1 (d750e36)

2014-07-07 Charles Kerr

        * Create per-transfer actions for simpler state lookup by renderers.
          Previously this was done as a single action that contained
          a map of unique transfer ids to states. Approved by: Ted
          Gould, Ted Gould (2c14948)

2014-07-04 Charles Kerr

        * rename 'com.canonical.indicator.transfer-bulk-action' as
          'com.canonical.indicator.button-section' as discussed with
          dednick and saviq (af62b75)

2014-07-02 Charles Kerr

        * add support for the new suru icons (844497b)
        * improve MERGE-REVIEW document based on indicator-datetime template
          (98885e1)

2014-06-26 Charles Kerr

        * pre-emptive trivial copyediting so that ted doesn't have a chance
          to complain about the extra semicolon in 'model =
          nullptr;;' (6e5832c)
        * fix gcc "'model' may be uninitialized" warning (30eb75f)
        * add an 'x-canonical-extra-label' attribute to
          com.canonical.indicator.transfer-bulk-action (fef8c2c)

2014-06-25 Charles Kerr

        * change the transfer-state action states s.t. there's an individual
          action state per-transfer, as dednick and I agreed on
          (1ca3c4d)
        * since we've got a transfer.cpp now, move Transfer's inlined methods
          from transfer.h to transfer.cpp. (200373b)
        * Don't use the DownloadManager's object path for a transfer as its
          in-house unique id -- that's supposed to be an opaque key
          and we don't want to break abstraction by leaking
          DownloadManager bits into our GActions/GMenus. (3396108)
        * make g++ version explicit for ABI safety. See
          <https://wiki.ubuntu.com/cpp-11> (8fc0135)

2014-06-19 Ted Gould

        * Fix VCS browser link (89bb229)
        * Remove dbus as a build depend as dbus-test-runner gets what we need
          there (853ebf2)

2014-06-19 CI bot

        * Releasing 0.1+14.10.20140619-0ubuntu1 (4e79d0b)

2014-06-19 Ted Gould

        * Getting indicator-transfer setup with CI Train (507f01c)

2014-06-18 Ted Gould

        * Updating to newer copyright format (c78854a)
        * Dropping the watch file (24cfd7c)
        * Change bzr-vcs to be LP plugin based (fce1089)
        * Remove debian/sourc (a2533fe)
        * Dbus test items (c0519f7)
        * Update to trunk (0e517fb)
        * A change (e51e1f1)
        * Ensure we can build with builddeb (54af849)
        * Bootstrapping the changelog (b11bcc6)

2014-06-18 Charles Kerr

        * This sets up the code layout, menu, indicator, unit tests, code
          coverage rules, etc... what you'd expect from an
          indicator. (6779db8)
        * tweak manual test formatting (111f91c)
        * make manual tests follow the common format as per
          https://wiki.ubuntu.com/QATeam/ContributingTestcases/ManualStyleGuide
          (24e0312)
        * in the simple-download manual test, update the script to use
          python3 rather than python2 (0078618)

2014-06-17 Charles Kerr

        * in debian/control, recommend content-hub and
          ubuntu-download-manager. (645ba8d)
        * in debian/control, remove depends/recommends that were added by
          cut-and-paste error (f2c6148)
        * add phone_greeter mode (e6b995a)
        * when world-dbus.cpp hears started/paused/resumed/cancled signals
          from com.canonical.applications.Download, check their
          'success' parameter before updating the states of our
          model's Transfers. (2251cdb)
        * tell simple-download.py to use python2 (6a474c8)
        * don't show the 'Clear all', 'Pause all', 'Resume all' bulk action
          buttons if there's nothing for them to operate on
          (bfbdd26)
        * add a custom x-canonical-type for the 'bulk actions' menubuttons as
          a hint to the renderer (00d7045)
        * move manual test from MERGE-REVIEW to tests/manual-tests/ (6b3a744)

2014-06-16 Charles Kerr

        * fix wiki formatting of MERGE-REVIEW in preparation for creating
          https://wiki.ubuntu.com/Process/Merges/Checklists/indicator-transfer
          (6697244)
        * remove dead file (da80b4e)
        * remove indicator-datetime artifact from changelog (f2aa567)
        * code drop (a20901b)

2014-04-17 Charles Kerr

        * (1) move states out of the menuitem to the action. (2) Introduce
          'percent' field. (3) Document label & icon fields.
          (034635f)

2014-04-06 Charles Kerr

        * initial changelog (fcd483e)
        * prefer list initialization when not using auto (c2d2af7)
        * const consciousness (2c5397f)
        * sync with working branch (3f5b9ad)
        * add Transfer proxy from gdbus-codegen (e62a356)

2014-03-30 Charles Kerr

        * get the test coverage reports working (87e0515)
        * rename transfer-source --> transfer-controller (e6a832d)
        * add cppcheck to 'make test' (0afba32)
        * add LiveActions, which actually delegates the commands down to the
          Transfer objects that it knows about. Add unit tests for
          LiveActions. (518288c)
        * in menu.cpp, make create_header_state() nonvirtual so that we can
          cleanly call it in MenuImpl's constructor. (3f81a47)
        * test the menu's header, too (14bfe2d)
        * Get the menus working in indicator-transfer-service. Add unit
          tests. (fee713d)

2014-03-29 Charles Kerr

        * get the gmenu / gactiongroup exporter running + add unit tests for
          it (d937222)
        * remove dead 'hello world' code that was used in the initial
          bootstrapping commits (9db9935)
        * don't export the transfer indicator to greeters/lockscreens
          (459f4b7)
        * update the documented actions list to match what was added in r7
          (1e14c5d)
        * sync menu, exporter to GAction and Action classes (015c0f1)
        * silence some tracer g_message()s now that we have unit tests that
          test the same thing (19902b0)
        * add an Actions interface class (eg: virtual Actions.pause_all()=0)
          and a GActionGroup-to-Actions mediator (efc6b27)
        * add a method Transfer::Open, we'll need it for opening downloads
          that have finished. (e1dad15)
        * add testing mocks for Transfer and TransferSource. (0be0195)
        * add two classes: (1) Transfer, an interface class representing a
          single transfer to be shown in a single menuitem, and (2)
          TransferSource, an interface class that provides Transfer
          objects (cf629a9)
        * add a simple service that can be confirmed to be started/stopped by
          upstart when installed (9df17a4)
        * bootstrapping the project: add initial directory structure: cmake/
          data/ debian/ include/ src/ po/ tests/ (204bd02)

2014-03-06 Ted Gould

        * README to kick off the repo (1a538ee)
